
package de.ivu.elect.presentation.wahllokalsystem.menu;

import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungConstants;
import de.ivu.elect.jee.presentation.menu.AbstractSubMenuEntry;
import de.ivu.elect.jee.presentation.menu.MenuEntry;
import de.ivu.elect.presentation.wahlbeteiligung.menu.WahlbeteiligungPageMenu;

import javax.inject.Inject;
import java.util.List;

public class WahllokalsystemMainMenuEntry extends AbstractSubMenuEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private WahllokalsystemPageMenu wahllokalsystemPageMenu;

  public WahllokalsystemMainMenuEntry() {
    super();
  }

  @Override
  protected List<MenuEntry> getSubMenuEntriesSorted() {
    return wahllokalsystemPageMenu.getMenuEntriesSorted();
  }

  @Override
  public String getLabelKey() {
    return "entity.einzahl.WAHLLOKALSYSTEM";
  }
}
